Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class OperationDefPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.OperationDefPOA
                  |
                  +--org.omg.CORBA.OperationDefPOATie

All Implemented Interfaces:
  ContainedOperations, InvokeHandler, IRObjectOperations, OperationDefOperations

public class OperationDefPOATie
extends OperationDefPOA

An OperationDef represents the information needed to define an operation of an interface.

Constructor Summary
`OperationDefPOATie(OperationDefOperations tieObject)` Constructor
`OperationDefPOATie(OperationDefOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`OperationDefOperations` | `_delegate()` Get the delegate
`void` | `_delegate(OperationDefOperations delegate_)` Set the delegate
`java.lang.String` | `absolute_name()` Read accessor for absolute_name attribute
`Repository` | `containing_repository()` Read accessor for containing_repository attribute
`java.lang.String[]` | `contexts()` Read accessor for contexts attribute
`void` | `contexts(java.lang.String[] value)` Write accessor for contexts attribute
`DefinitionKind` | `def_kind()` Read accessor for def_kind attribute
`Container` | `defined_in()` Read accessor for defined_in attribute
`Description` | `describe()` Operation describe
`void` | `destroy()` Operation destroy
`ExceptionDef[]` | `exceptions()` Read accessor for exceptions attribute
`void` | `exceptions(ExceptionDef[] value)` Write accessor for exceptions attribute
`java.lang.String` | `id()` Read accessor for id attribute
`void` | `id(java.lang.String value)` Write accessor for id attribute
`OperationMode` | `mode()` Read accessor for mode attribute
`void` | `mode(OperationMode value)` Write accessor for mode attribute
`void` | `move(Container new_container, java.lang.String new_name, java.lang.String new_version)` Operation move
`java.lang.String` | `name()` Read accessor for name attribute
`void` | `name(java.lang.String value)` Write accessor for name attribute
`ParameterDescription[]` | `params()` Read accessor for params attribute
`void` | `params(ParameterDescription[] value)` Write accessor for params attribute
`IDLType` | `result_def()` Read accessor for result_def attribute
`void` | `result_def(IDLType value)` Write accessor for result_def attribute
`TypeCode` | `result()` Read accessor for result attribute
`java.lang.String` | `version()` Read accessor for version attribute
`void` | `version(java.lang.String value)` Write accessor for version attribute

Methods inherited from class org.omg.CORBA.OperationDefPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationDefPOATie

    public OperationDefPOATie(OperationDefOperations tieObject)

  Constructor

### OperationDefPOATie

    public OperationDefPOATie(OperationDefOperations tieObject,
                              POA poa)

  Constructor

Method Detail

### _delegate

    public OperationDefOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(OperationDefOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### result

    public TypeCode result()

  Read accessor for result attribute

### result_def

    public IDLType result_def()

  Read accessor for result_def attribute

### result_def

    public void result_def(IDLType value)

  Write accessor for result_def attribute

### params

    public ParameterDescription[] params()

  Read accessor for params attribute

### params

    public void params(ParameterDescription[] value)

  Write accessor for params attribute

### mode

    public OperationMode mode()

  Read accessor for mode attribute

### mode

    public void mode(OperationMode value)

  Write accessor for mode attribute

### contexts

    public java.lang.String[] contexts()

  Read accessor for contexts attribute

### contexts

    public void contexts(java.lang.String[] value)

  Write accessor for contexts attribute

### exceptions

    public ExceptionDef[] exceptions()

  Read accessor for exceptions attribute

### exceptions

    public void exceptions(ExceptionDef[] value)

  Write accessor for exceptions attribute

### id

    public java.lang.String id()

  Read accessor for id attribute

### id

    public void id(java.lang.String value)

  Write accessor for id attribute

### name

    public java.lang.String name()

  Read accessor for name attribute

### name

    public void name(java.lang.String value)

  Write accessor for name attribute

### version

    public java.lang.String version()

  Read accessor for version attribute

### version

    public void version(java.lang.String value)

  Write accessor for version attribute

### defined_in

    public Container defined_in()

  Read accessor for defined_in attribute

### absolute_name

    public java.lang.String absolute_name()

  Read accessor for absolute_name attribute

### containing_repository

    public Repository containing_repository()

  Read accessor for containing_repository attribute

### describe

    public Description describe()

  Operation describe

### move

    public void move(Container new_container,
                     java.lang.String new_name,
                     java.lang.String new_version)

  Operation move

### def_kind

    public DefinitionKind def_kind()

  Read accessor for def_kind attribute

### destroy

    public void destroy()

  Operation destroy

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD